#ifndef SHARED_MEMORY_H
#define SHARED_MEMORY_H

#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/shm.h>

//ID-Speicherbereich
#define int speicher-id
//Größe des Speicherbereichs hier 8MB (64bit)
#define SHMMAXSIZE 64


//Shared-Memory-Segment erstellen oder öffnen – shmget()
void shared-memory-init();

//Ein Shared-Memory-Segment abfragen, ändern oder löschen
void delet-shared-memory();
int shmctl(int shm_id, int kommando, struct shmid_ds *buf);

//Shared-Memory-Segment an einen Prozess anbinden (attach)
void *shmat(int shm_id, const void *adresse, int flag);

// Ein Shared-Memory-Segment loslösen – shmdt()
int shmdt(void *adresse);

#endif //SHARED_MEMORY_H
